import { AxiosRequestConfig } from 'axios';
import { Observable } from 'rxjs';
export interface RxHttpConfig extends AxiosRequestConfig {
    localCache?: boolean;
}
declare class RxHttp {
    private options;
    private http;
    constructor(options?: RxHttpConfig);
    private createRequest;
    get<T>(url: string, queryParams?: object): Observable<T>;
    head<T>(url: string, queryParams?: object): Observable<T>;
    post<T>(url: string, body: object, queryParams?: object): Observable<T>;
    put<T>(url: string, body: object, queryParams?: object): Observable<T>;
    patch<T>(url: string, body: object, queryParams?: object): Observable<T>;
    delete(url: string, queryParams?: object): Observable<{}>;
}
export { RxHttp };
